gnutls_priority_string_list(3)

NAME
gnutls_priority_string_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_priority_string_list(unsigned iter, unsigned int flags);

ARGUMENTS

unsigned iter
    an integer counter starting from zero

unsigned int flags
    one of GNUTLS_PRIORITY_LIST_INIT_KEYWORDS, GNUTLS_PRIORITY_LIST_SPECIAL

DESCRIPTION
Can be used to iterate all available priority strings. Due to internal implementation details, there are cases where this function can return the empty string. In that case that string should be ignored. When no strings are available it returns NULL.

RETURNS
a priority string

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/